Subject: Re: [Bugme-new] [Bug 8519] New: NAT prerouting over tun interface broken

From: Patrick McHardy <[email-masked]>
Date: Tue, 22 May 2007 00:28:07 +0200

Andrew Morton wrote:
> On Mon, 21 May 2007 13:05:36 -0700
> [email-masked] wrote:
> 
>>Problem Description:
>>I have the hercules s/390 emulator running on an EM64T host, both running 
>>Debian unstable. I use a tun interface, a second IP address on eth0 and 
>>iptables/nat so the emulator has it's own address on my local network.
>>
>>With 2.6.21.1 on the host, networking between the emulator and the host system 
>>is fine (I can ssh from the host into the emulator without problems), but 
>>communication from the emulator with other boxes is broken. Other boxes also 
>>don't see the emulator if I ping its external address.
>>
>>If I ping another box on my LAN from the emulator while running wireshark on 
>>the host, I can see that:
>>- the echo request gets sent OK
>>- the other box replies OK
>>- the host receives the echo reply
>>- but the tun interface never gets it.
>>
>>If I boot the host with 2.6.20 everything works fine again.

Please post the output of lsmod and cat /proc/net/ip_conntrack after
sending a ping.